Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CallStack::Ignore Class Reference

Use this in a code block that should ignore CallStack traces. More...

`#include <CallStack.h>`

List of all members.

## Public Member Functions

| Ignore ()
| ~Ignore ()

## Static Private Attributes

static int | s_count = 0

## Detailed Description

Use this in a code block that should ignore CallStack traces.

Definition at line 78 of file CallStack.h.

## Constructor & Destructor Documentation

FIX::CallStack::Ignore::Ignore | ( |  | ) | `[inline]`

Definition at line 81 of file CallStack.h.

References FIX::CallStack::ignore(), and s_count.

    00082     { s_count++;
    00083       CallStack::ignore(true);
    00084     }

FIX::CallStack::Ignore::~Ignore | ( |  | ) | `[inline]`

Definition at line 85 of file CallStack.h.

References FIX::CallStack::ignore(), and s_count.

    00086     { s_count--;
    00087       if( s_count == 0 )
    00088         CallStack::ignore(false);
    00089     }

## Member Data Documentation

int FIX::CallStack::Ignore::s_count = 0`[static, private]`

Definition at line 92 of file CallStack.h.

Referenced by Ignore(), and ~Ignore().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/CallStack.h
- /home/omiller/Development/autobuild/quickfix/src/C++/CallStack.cpp